package com.ruoyi.mxjb.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 多元升学表单对象 mxjb_multiple_way_form
 * 
 * @author voluntary
 * @date 2023-08-03
 */
public class MxjbMultipleWayForm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long formId;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /**  */
    @Excel(name = "")
    private String name;

    /** 提交的内容 */
    @Excel(name = "提交的内容")
    private MultipleWayData content;

    /** 判断的内容 */
    @Excel(name = "判断的内容")
    private MultipleWayData conclusion;

    /**  */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdTime;

    public void setFormId(Long formId) 
    {
        this.formId = formId;
    }

    public Long getFormId() 
    {
        return formId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setContent(MultipleWayData content)
    {
        this.content = content;
    }

    public MultipleWayData getContent()
    {
        return content;
    }
    public void setConclusion(MultipleWayData conclusion)
    {
        this.conclusion = conclusion;
    }

    public MultipleWayData getConclusion()
    {
        return conclusion;
    }
    public void setCreatedTime(Date createdTime) 
    {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() 
    {
        return createdTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("formId", getFormId())
            .append("userId", getUserId())
            .append("name", getName())
            .append("createdTime", getCreatedTime())
            .toString();
    }
}
